import bolum11.sira;
import bolum11.EmptyListException;

public class siraTesti
{
public static void main(String args[])
{
sira s=new sira();
Boolean b=new Boolean(true);
Character c=new Character('$');
Integer i=new Integer(34567);
String st=new String(" merhaba ");
s.sirayagir(b);
s.print();
s.sirayagir(c);
s.print();
s.sirayagir(i);
s.print();
s.sirayagir(st);
s.print();
Object cekilen;
try
{
while(true)
 {
 cekilen=s.siranGeldi();
 System.out.println(cekilen.toString()+" sirasi geldi ”nden cikti");
 s.print();
 }
}
catch(EmptyListException e)
{System.err.println("\n"+e.toString());}
}
}
